%define pango_version 1.0.99
%define gtk2_version 2.1.0
%define libxml2_version 2.4.20
%define gnome_vfs2_version 2.0.0
%define gail_version 1.0

Summary: An HTML widget for GTK+ 2.0
Name: gtkhtml2
Version: 2.2.0
Release: 5
URL: http://gtkhtml2.codefactory.se/
Source0: libgtkhtml-%{version}.tar.bz2
Patch1: libgtkhtml-2.2.0-styleref.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
Requires: libxml2 >= %{libxml2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: gail >= %{gail_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: fontconfig

%description
GtkHTML2 (sometimes called libgtkhtml) is a widget for
displaying html pages.

%package devel
Summary: Libraries, includes, etc to develop Gtkhtml2 applications
Group: Development/Libraries
Requires: gtkhtml2 = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: gail-devel >= %{gail_version}

%description devel
Libraries and include files that can be used to develop Gtkhtml2 applications.

%prep
%setup -q -n libgtkhtml-%{version}
%patch1 -p0 -b .styleref

%build
# XXX remove this when bug #83188 is resolved
%ifarch x86_64
%define optflags -g
%endif
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/libgtkhtml-2.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_includedir}/gtkhtml-2.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Feb 19 2003 Alexander Larsson <alexl@redhat.com>
- Add patch that fixes a GtkStyle ref bug. (#82993)

* Fri Feb 14 2003 Jeremy Katz <katzj@redhat.com> 2.2.0-4
- fix build requires

* Thu Jan 30 2003 Matt Wilson <msw@redhat.com> 2.2.0-3
- disable optimizations on x86_64 to work around gcc bug

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-3
- Don't ship the static libs

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-2
- Require gail 1.0

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-1
- Update to 2.1.8
- Removed patch, as that problem looks solved upstream.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 2.0.1-3
- Remove unpackaged files

* Mon Sep  2 2002 Matt Wilson <msw@redhat.com>
- added a patch to avoid crashes during html document destruction

* Thu Aug  8 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.1, fixes #67866

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.99.9

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.99.7

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.99.6

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new gail, 1.99.5

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new gnome2 libraries

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com>
- Initial build.
